OpenJPEG: channel_manager.h File Reference

OpenJPEG 2.5.0

Data Structures | Macros | Typedefs | Functions
channel_manager.h File Reference
`#include <time.h>`
`#include "query_parser.h"`
`#include "cachemodel_manager.h"`
`#include "auxtrans_manager.h"`

Go to the source code of this file.

## Data Structures
struct | channel_param
| Channel parameters. More...
struct | channellist_param
| Channel list parameters. More...

## Macros
#define | MAX_LENOFCID 30
| maximum length of channel identifier

## Typedefs
typedef struct channel_param | channel_param_t
| Channel parameters.
typedef struct channellist_param | channellist_param_t
| Channel list parameters.

## Functions
channellist_param_t * | gene_channellist (void)
| generate a channel list
channel_param_t * | gene_channel (query_param_t query_param, auxtrans_param_t auxtrans, cachemodel_param_t *cachemodel, channellist_param_t *channellist)
| generate a channel under the channel list
void | set_channel_variable_param (query_param_t query_param, channel_param_t *channel)
| set channel variable parameters
void | delete_channel (channel_param_t **channel, channellist_param_t *channellist)
| delete a channel
void | delete_channellist (channellist_param_t **channellist)
| delete channel list
void | print_allchannel (channellist_param_t *channellist)
| print all channel parameters
channel_param_t * | search_channel (const char cid[], channellist_param_t *channellist)
| search a channel by channel ID

## Macro Definition Documentation

## ◆ MAX_LENOFCID

#define MAX_LENOFCID 30

maximum length of channel identifier

## Typedef Documentation

## ◆ channel_param_t

typedef struct channel_param channel_param_t

Channel parameters.

## ◆ channellist_param_t

typedef struct channellist_param channellist_param_t

Channel list parameters.

## Function Documentation

## ◆ delete_channel()

void delete_channel | ( | channel_param_t ** | channel,
|  | channellist_param_t * | channellist
| ) |  |

delete a channel

Parameters

  [in] | channel | address of the deleting channel pointer
  [in,out] | channellist | channel list pointer

References channellist_param::first, channellist_param::last, logstream, channel_param::next, and opj_free().

Referenced by close_channel().

## ◆ delete_channellist()

void delete_channellist | ( | channellist_param_t ** | channellist | ) |

delete channel list

Parameters

  [in,out] | channellist | address of the channel list pointer

References channel_param::cid, logstream, channel_param::next, and opj_free().

Referenced by delete_session(), and delete_sessionlist().

## ◆ gene_channel()

channel_param_t * gene_channel | ( | query_param_t | query_param,
|  | auxtrans_param_t | auxtrans,
|  | cachemodel_param_t * | cachemodel,
|  | channellist_param_t * | channellist
| ) |  |

generate a channel under the channel list

Parameters

  [in] | query_param | query parameters
  [in] | auxtrans | auxiliary transport
  [in] | cachemodel | reference cachemodel
  [in] | channellist | channel list pointer

Returns
  pointer to the generated channel

References channel_param::aux, channel_param::cachemodel, channel_param::cid, query_param::cnew, FCGI_stdout, channellist_param::first, channellist_param::last, MAX_LENOFCID, channel_param::next, opj_malloc(), set_channel_variable_param(), channel_param::start_tm, tcp, auxtrans_param::tcpauxport, udp, and auxtrans_param::udpauxport.

Referenced by open_channel().

## ◆ gene_channellist()

channellist_param_t * gene_channellist | ( | void |  | ) |

generate a channel list

Returns
  pointer to the generated channel list

References channellist_param::first, channellist_param::last, and opj_malloc().

Referenced by gene_session().

## ◆ print_allchannel()

void print_allchannel | ( | channellist_param_t * | channellist | ) |

print all channel parameters

Parameters

  [in] | channellist | channel list pointer

References channel_param::cachemodel, channel_param::cid, channellist_param::first, logstream, channel_param::next, cachemodel_param::target, and target_param::targetname.

Referenced by print_allsession().

## ◆ search_channel()

channel_param_t * search_channel | ( | const char | cid[],
|  | channellist_param_t * | channellist
| ) |  |

search a channel by channel ID

Parameters

  [in] | cid | channel identifier
  [in] | channellist | channel list pointer

Returns
  found channel pointer

References channel_param::cid, FCGI_stdout, channellist_param::first, and channel_param::next.

Referenced by close_channel().

## ◆ set_channel_variable_param()

void set_channel_variable_param | ( | query_param_t | query_param,
|  | channel_param_t * | channel
| ) |  |

set channel variable parameters

Parameters

  [in] | query_param | query parameters
  [in,out] | channel | pointer to the modifying channel

Referenced by associate_channel(), and gene_channel().